/*
	PUFInterface.h
	
	an interface to THCs PUF interface stuff
	
	 1993 Steve Zellers, All Rights Reserved
	
	<revision history>
	05/16/93  smz  created
*/

#pragma once

#include <AppleEvents.h>

typedef struct {
	Str255	name;
	long	selStart;
	long	selEnd;
} PUFMarker;

void InstallPUFPatches(void);

void PUFSetSelection(long selStart, long selEnd);
void PUFGetSelection(long* selStart, long* selEnd);
const Handle PUFGetText(void);
Handle PUFCopySelection(void);
void PUFGetMarkerPos(Str255 markerName, PUFMarker* marker);
void PUFCloseFrontmost(void);
void PUFGetFileSpec(FSSpec* spec);
Boolean PUFGetNthMarker(short ixMarker, PUFMarker* marker);
void PUFPasteText(Handle hText);

void PUFDeleteMarker(Str255 name);
void PUFMarkSelection(Str255 markerName);

void PUFZoomWindow(Point topLeft, Point widthHeight);

void PUFCallMenu(Str255 menuName);